package io.accumulatenetwork.sdk.generated.config;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("Network")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Network implements Marshallable {
	private String id;
	private Partition[] partitions;

    //
	public String getId() {
	    return id;
	}
	public void setId(final String value) {
	    this.id = value;
	}

	public Network id(final String value) {
	    setId(value);
	    return this;
	}
	public Partition[] getPartitions() {
	    return partitions;
	}
	public void setPartitions(final Partition[] value) {
	    this.partitions = value;
	}

	public Network partitions(final Partition[] value) {
	    setPartitions(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        if (!(this.id == null || this.id.length() == 0)) {
            marshaller.writeString(1, this.id);
        }
        if (!(this.partitions == null)) {
            marshaller.writeValue(2, partitions);
        }
        return marshaller.array();
    }
}
